
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python基础 ---（5）Python常用的内置函数 / 憋错料</title>

    <meta name="description" content="Python基础 ---（5）Python常用的内置函数 1. abs( )函数返回数字的绝对值. print( abs(-45)) # 返回 45print(&quot;abs(0.2):&quot;,abs(0.2)) # 返回 abs(0.2): 0.2 2. all( ) 函数用于判断给定的参数中的所有元素是否都为 TRUE,如果是返回 True,否则返回 False.元素除了是 0.空.None.False 外都算 True:空元组.空列表返回值为True. print( all( [0.1,1,-1] ) ) # 返回 True print ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Python基础 ---（5）Python常用的内置函数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>1. abs( )函数返回数字的绝对值。</p>
<pre>print( abs(-45))                   # 返回 45print("abs(0.2):",abs(0.2))        # 返回 abs(0.2): 0.2</pre>
<p>2.&nbsp;all( ) 函数用于判断给定的参数中的所有元素是否都为 TRUE，如果是返回 True，否则返回 False。元素除了是 0、空、None、False 外都算 True；空元组、空列表返回值为True。</p>
<pre>print( all( [0.1,1,-1] )  )          # 返回 True
print( all( (None,1) )  )          # 返回 False（其中一个元素为None）
print( all( [0,1,-1] )  )             # 返回 False（其中一个元素为0）
print( all( [" ","a",""] )  )     # 返回 False (第三个元素为空)</pre>
<p>3.&nbsp;&nbsp;any( ) 函数用于判断给定的参数是否全部为False，是则返回False，如果有一个为True，则返回True。&nbsp;元素除了是 0、空、False外都算 TRUE。</p>
<p></p>
<pre># 参数全部不为 0、空、FALSE
print(any("-45"))                     #  True
print(any(["-45"]))                   #  True
print( any( ("0","ab","") ) )     #  True（注意：第一个参数0加了双引号，表示为一个字符串）

# 参数全部为 0、空、False
print( any( (0,"") ) )                  #  False
print( any( (0,"",False) ) )         #  False</pre>
<p></p>
<p>4.&nbsp;bin()函数返回一个整数int或者长整数long int的二进制表示。</p>
<pre>print( bin(10) )        #  0b1010print( bin(133) )       #  0b10000101</pre>
<p>5.&nbsp;bool() 函数用于将给定参数转换为布尔类型，如果参数不为空或不为0，返回True；参数为0或没有参数，返回False。</p>
<p></p>
<pre>print( bool(10) )                         #  True
print( bool([0]) )                         #  True
print( bool(["123","s",0]) )       #  True

print( bool(0) )                           #  False
print( bool() )                             #  False</pre>
<p></p>
<p>6.&nbsp;bytearray()方法返回一个新字节数组。这个数组里的元素是可变的，并且每个元素的值范围: 0 &lt;= x &lt; 256（即0-255）。即bytearray()是可修改的二进制字节格式。</p>
<pre>1 b = bytearray("abcd",encoding="utf-8")
2 print(b[0])            #  返回数字97，即把&ldquo;abcd&rdquo;的&ldquo;a"对应的ascii码打印出来了
3 b[0] = 99                #  把字符串第一个字节修改为99（即对应字母为&ldquo;c&rdquo;）
4 print(b)                #  返回：bytearray(b‘cbcd‘)---第一个字节a已被修改为c</pre>
<p>7.&nbsp;callable()函数用于检查一个对象是否可调用的。对于函数、方法、lambda函式、类以及实现了 __call__ 方法的类实例, 它都返回 True。（可以加括号的都可以调用）</p>
<pre>1 def sayhi():pass                    #  先定义一个函数sayhi()
2 print( callable( sayhi ) )       #  True</pre>
<pre>1 a = 1
2 print( callable( a ) )              #  False</pre>
<p>8.&nbsp;chr()函数用一个范围在range(256)内（即0～255）的整数作参数，返回一个对应的ASCII数值。</p>
<pre># 把数字98在ascii码中对应的字符打印出来
print( chr(98) )                   #  返回：b</pre>
<p>9.&nbsp;dict()函数用来将元组/列表转换为字典格式。</p>
<p></p>
<pre>print(dict(a=‘a‘, b=‘b‘, t=‘t‘))
#  返回：{‘b‘: ‘b‘, ‘a‘: ‘a‘, ‘t‘: ‘t‘}

print(dict( [ (‘one‘,1),(‘two‘,2),(‘three‘,3) ]  ) )   # 可迭代对象方式来构造字典
#  返回：{‘two‘: 2, ‘one‘: 1, ‘three‘: 3}

print(dict(zip(["1","2","3"],["a","b","c"])))     # 映射函数方式来构造字典
#  返回：{‘2‘: ‘b‘, ‘3‘: ‘c‘, ‘1‘: ‘a‘}</pre>
<p></p>
<p>10.&nbsp;dir()函数不带参数时，返回当前范围内的变量、方法和定义的类型列表；带参数时，返回参数的属性、方法列表。</p>
<p></p>
<pre>print( dir() )           #  获得当前模块的属性列表
#  返回：[‘__builtins__‘, ‘__cached__‘, ‘__doc__‘, ‘__file__‘, ‘__loader__‘, ‘__name__‘, ‘__package__‘, ‘__spec__‘]

print( dir([]) )         #  查看列表的方法
#  返回：[‘__add__‘, ‘__class__‘, ‘__contains__‘, ‘__delattr__‘, ‘__delitem__‘, ‘__dir__‘, ‘__doc__‘, ‘__eq__‘, ‘__format__‘, ‘__ge__‘, ‘__getattribute__‘, ‘__getitem__‘, ‘__gt__‘, ‘__hash__‘, ‘__iadd__‘, ‘__imul__‘, ‘__init__‘, ‘__iter__‘, ‘__le__‘, ‘__len__‘, ‘__lt__‘, ‘__mul__‘, ‘__ne__‘, ‘__new__‘, ‘__reduce__‘, ‘__reduce_ex__‘, ‘__repr__‘, ‘__reversed__‘, ‘__rmul__‘, ‘__setattr__‘, ‘__setitem__‘, ‘__sizeof__‘, ‘__str__‘, ‘__subclasshook__‘, ‘append‘, ‘clear‘, ‘copy‘, ‘count‘, ‘extend‘, ‘index‘, ‘insert‘, ‘pop‘, ‘remove‘, ‘reverse‘, ‘sort‘]</pre>
<p></p>
<p>11. divmod() 函数把除数和余数运算结果结合起来，返回一个包含商和余数的元组（商x，余数y）。</p>
<pre>print( divmod(5,2) )    #  返回：(2, 1)
print( divmod(5,1) )    #  返回：(5, 0)
print( divmod(5,3) )    #  返回：(1, 2)</pre>
<p>12.&nbsp;enumerate() 函数用于将一个可遍历的数据对象(如列表、元组或字符串)组合为一个索引序列，同时列出数据和数据下标，一般用在 for 循环当中。Python 2.3. 以上版本可用，2.6 添加 start 参数。</p>
<pre>1 seasons = [‘Spring‘, ‘Summer‘, ‘Fall‘, ‘Winter‘]
2 print(list(enumerate(seasons)))                  #  返回：[(0, ‘Spring‘), (1, ‘Summer‘), (2, ‘Fall‘), (3, ‘Winter‘)]</pre>
<pre>1 print(list(enumerate(seasons, start=1)) )         # 下标从 1 开始 #  返回：[(1, ‘Spring‘), (2, ‘Summer‘), (3, ‘Fall‘), (4, ‘Winter‘)]</pre>
<p>13.&nbsp;eval() 函数用来执行一个字符串表达式，并返回表达式的值。</p>
<pre>print(eval(‘3 * 2‘))          # 6</pre>
<pre>1 x = 7
2 print(eval(‘3 + x‘))        # 10</pre>
<p>14.&nbsp;exec() 执行储存在字符串或文件中的Python语句，相比于eval，exec可以执行更复杂的Python代码。</p>
<pre>exec("print(‘Hello World‘)")        # 执行简单的字符串
# Hello World</pre>
<p></p>
<pre>exec("for i in range(5): print(‘iter time is %d‘%i)")      # 执行复杂的for循环
# iter time is 0
# iter time is 1
# iter time is 2
# iter time is 3
# iter time is 4</pre>
<p></p>
<p>15.&nbsp;&nbsp;filter()用于过滤序列，过滤掉不符合条件的元素，返回一个迭代器对象，可用list()来转换为列表。</p>
<p>注意： filter()接收两个参数，第一个为函数，第二个为序列，序列的每个元素作为参数传递给函数进行判断，然后返回True或 False，最后将返回 True 的元素放到新列表中。</p>
<p></p>
<pre>res = filter(lambda n:n&gt;5,range(10))   # 过滤掉0-9中不符合n&gt;5的数据
for i in res:                          # 循环打印符合n&gt;5的数据
    print(i)  

# 5
# 6
# 7
# 8
# 9</pre>
<p></p>
<p>16.&nbsp;format()是一种格式化字符串的函数 ，基本语法是通过 {} 和 : 来代替以前的 % 。format 函数可以接受不限个参数，位置可以不按顺序。</p>
<p></p>
<pre># 位置映射

print( "{}{}".format(‘a‘,‘1‘) )
# a1

print(‘name:{n},url:{u}‘.format(n=‘alex‘,u=‘www.xxxxx.com‘))
# name:alex,url:www.xxxxx.com</pre>
<p></p>
<p></p>
<pre># 元素访问

print( "{0[0]},{0[1]}".format((‘baidu‘,‘com‘)) )                # 按顺序
# baidu,com

print( "{0[2]},{0[0]},{0[1]}".format((‘baidu‘,‘com‘,‘www‘)) )   # 不按顺序
# www,baidu,com</pre>
<p></p>
<p>17.&nbsp;float() 函数用于将整数和字符串转换成浮点数。</p>
<p></p>
<pre>print(float(1))
# 1.0

print(float(0.1))
# 0.1

print(float(‘123‘))
# 123.0</pre>
<p></p>
<p>18.&nbsp;frozenset() 返回一个冻结的集合（一个无序的不重复元素序列），冻结后集合不能再添加或删除任何元素。</p>
<p></p>
<pre>1 a = frozenset(range(10))             # 先创建一个冻结集合
2 print(a)
3 # frozenset({0, 1, 2, 3, 4, 5, 6, 7, 8, 9})
4
5 del a[0]                             # 试图删除冻结集合a中的元素，报错
6 # TypeError: ‘frozenset‘ object doesn‘t support item deletion</pre>
<p></p>
<pre>1 b = frozenset("happy")               # 将字符串转换成一个集合
2 print(b)
3 # frozenset({‘a‘, ‘h‘, ‘p‘, ‘y‘})    # 无序不重复</pre>
<pre>1 c = frozenset()                      # 创建一个空集合
2 print(c)
3 # frozenset()                        # 如果不提供任何参数，默认会生成空集合</pre>
<p>19.&nbsp;globals() 函数会以字典格式返回当前位置的全部全局变量。</p>
<p></p>
<pre>print(globals())     # globals 函数返回一个全局变量的字典，包括所有导入的变量。

#  {‘__file__‘: ‘C:/Users/Administrator/PycharmProjects/test/day4/内置函数-globals().py‘, ‘__spec__‘: None, ‘__doc__‘: None, ‘__package__‘: None, ‘a‘: ‘append‘, ‘__cached__‘: None, ‘__loader__‘: &lt;_frozen_importlib_external.SourceFileLoader object at 0x0000000000666B00&gt;, ‘__builtins__‘: &lt;module ‘builtins‘ (built-in)&gt;, ‘__name__‘: ‘__main__‘}</pre>
<p></p>
<p>20.&nbsp;hasattr() 函数用于判断对象是否包含对应的属性。如果对象有该属性返回 True，否则返回 False。</p>
<p></p>
<pre>1 class t:
2     a = 1
3     b = 2
4     c = 3
5
6 p = t()
7 print(hasattr(p,‘a‘))    # True
8 print(hasattr(p,‘b‘))    # True
9 print(hasattr(p,‘x‘))    # False</pre>
<p></p>
<p>21.&nbsp;hash() 用于获取一个对象（数字或者字符串等）的哈希值。不能直接应用于 list、set、dictionary。</p>
<p>注意：在 hash() 对对象使用时，所得的结果不仅和对象的内容有关，还和对象的 id()，也就是内存地址有关。</p>
<pre>print(hash(1))                  # 1
print(hash(20000))              # 20000
print(hash(‘123‘))              # -6436280630278763230
print(hash(‘ab12‘))             # 5468785079765213470
print(hash(‘ab12‘))             # 5468785079765213470</pre>
<p>22.&nbsp;help() 函数用于查看函数或模块用途的详细说明。</p>
<pre>help(‘sys‘)             # 查看 sys 模块的帮助
help(‘str‘)             # 查看 str 数据类型的帮助</pre>
<pre>a = [1,2,3]
help(a)                 # 查看列表 list 帮助信息
help(a.append)          # 显示list的append方法的帮助</pre>
<p>23.&nbsp;hex() 函数用于将一个整数转换为十六进制数。返回一个字符串，以0x开头。</p>
<pre>print(hex(1))        # 0x1

print(hex(-256))     # -0x100
print(type(hex(-256)))    #&lt;class ‘str‘&gt;</pre>
<p>24.&nbsp;id()函数用于获取对象的内存地址。</p>
<p></p>
<pre>a = "123"                             # 字符串
print(id(a))                          # 13870392

b = [1,2,3]                           # 列表
print(id(b))                          # 7184328

c = {‘num1‘:1,‘num2‘:2,‘num3‘:3}       # 字典
print(id(c))                           # 6923656</pre>
<p></p>
<p>25.&nbsp;input() 函数接受一个标准输入数据，返回为 string 类型。这个函数是最最常用的了。在Python3.x中 raw_input() 和 input() 进行了整合，仅保留了input( )函数。</p>
<p></p>
<pre>a = ‘123456‘
b = input("username:")

if b == a :            # 如果b的输入数据等于a存储的数据，打印&rdquo;right&ldquo;
    print("right")
else:                  # 否则打印&rdquo;wrong&ldquo;
    print("wrong")</pre>
<p></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAyMDA0LzIwMjAwNDE1MTYyNjQyNjI2MTUxLnBuZw==.jpg" />&nbsp; &nbsp;&nbsp;<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAyMDA0LzIwMjAwNDE1MTYyNjQyOTYyMTAxLnBuZw==.jpg" /></p>
<p>26.&nbsp;int() 函数用于将一个字符串或数字转换为整型。</p>
<pre>print(int())                # 不传入参数时，得到结果0
print(int(0.5))             # 去掉小数部分，得到结果0
print(int(3))               # 得到结果3
print(int(‘0xa‘,16))        # 十六进制数&ldquo;0xa&rdquo;转换成十进制整数，得到结果10
print(int(‘00010‘,2))       # 二进制数&ldquo;00010&rdquo;转换成十进制整数，得到结果2</pre>
<p>27.&nbsp;isinstance() 函数来判断一个对象是否是一个已知的类型，返回布尔值。类似 type()。</p>
<p></p>
<pre>a = 2

print(isinstance(a,int))                   #  True
print(isinstance(a,str))                   #  False
print(isinstance(a,(str,tuple,dict)))      #  False
print(isinstance(a,(str,tuple,int)))       # 是元组其中的一个则返回True</pre>
<p></p>
<ul>
<li><strong>isinstance() 与 type() 区别：</strong></li>
</ul>
<pre><strong>   　　  type() 不会认为子类是一种父类类型，不考虑继承关系。  　　 　　　　  isinstance() 会认为子类是一种父类类型，考虑继承关系。  　　  　　　　　如果要判断两个类型是否相同推荐使用 isinstance()。

示例：</strong></pre>
<p></p>
<pre> 1 class A:
 2     pass
 3
 4 class B(A):
 5     pass
 6
 7 print(isinstance(A(),A))    # True
 8 print( type(A()) == A )     # True
 9
10 print(isinstance(B(),A))    # True
11 print( type(B()) == A )     # False   --type()不考虑继承关系</pre>
<p></p>
<p>28.&nbsp;issubclass()用于判断参数class是否是类型参数classinfo的子类，是则返回True，否则返回False。</p>
<p>语法：issubclass(class,classinfo)。</p>
<p></p>
<pre>1 class a:
2     pass
3 class b(a):     # b继承了a，即b是a的子类
4     pass
5
6 print(issubclass(a,b))    # 判断 a 是 b 的子类？
7 # False
8 print(issubclass(b,a))    # 判断 b 是 a 的子类？
9 # True</pre>
<p></p>
<p>29.&nbsp;iter() 函数用来生成迭代器。list、tuple等都是可迭代对象，我们可以通过iter()函数获取这些可迭代对象的迭代器，然后可以对获取到的迭代器不断用next()函数来获取下条数据。iter()函数实际上就是调了可迭代对象的 __iter__ 方法。</p>
<p># 注意：当已经迭代完最后一个数据之后，再次调用next()函数会抛出 StopIteration的异常，来告诉我们所有数据都已迭代完成。</p>
<p></p>
<pre> 1 it = [1,2,3]
 2 it_list = iter(it)
 3
 4 print(next(it_list))
 5 # 1
 6 print(next(it_list))
 7 # 2
 8 print(next(it_list))
 9 # 3
10 print(next(it_list))
11 # StopIteration</pre>
<p></p>
<p>30. len() 方法返回对象（字符、列表、元组等）长度或元素个数。</p>
<p></p>
<pre># len()方法返回对象（字符、列表、元组等）长度或元素个数。
print(len(‘1234‘))              # 字符串，返回字符长度4
print(len([‘1234‘,‘asd‘,1]))    # 列表，返回元素个数3
print(len((1,2,3,4,50)))        # 元组，返回元素个数5

print(len(12))                  # 注意：整数类型不适用，否则报错
# TypeError: object of type ‘int‘ has no len()</pre>
<p></p>
<p>31.&nbsp;&nbsp;list() 方法用于将元组转换为列表。</p>
<p>注：元组与列表是非常类似的，区别在于元组的元素值不能修改，元组是放在括号中，列表是放于方括号中。</p>
<pre>print( list((1,2,3)))           # [1, 2, 3]</pre>
<p>32.&nbsp;map()接收函数f和list，并通过把函数f依次作用在list的每个元素上，得到一个新的list并返回。</p>
<p></p>
<pre> 1 res = map(lambda n: n*2,[0,1,2,3,4,5])    # 使用 lambda 匿名函数
 2 for i in res:
 3     print(i)
 4
 5 # 返回以下数据：
 6 # 0
 7 # 2
 8 # 4
 9 # 6
10 # 8
11 # 10</pre>
<p></p>
<p></p>
<pre> 1 # 提供了两个列表，对相同位置的列表数据进行相加
 2
 3 a = map(lambda x,y : x+y,[1,2,3,4,5],[2,4,6,8,10])
 4 for i in a:
 5     print(i)
 6
 7 # 返回以下数据：
 8 # 3
 9 # 6
10 # 9
11 # 12
12 # 15</pre>
<p></p>
<p>33.&nbsp;max()函数返回给定参数的最大值，参数可以为序列。</p>
<p></p>
<pre>print("max(10,20,30):" , max(10,20,30) )
# max(10,20,30): 30

print("max(10,-2,3.4):" , max(10,-2,3.4) )
# max(10,-2,3.4): 10

print("max({‘b‘:2,‘a‘:1,‘c‘:0}):" , max({‘b‘:2,‘a‘:1,‘c‘:0}) )   # 字典，默认按key排序
# max({‘b‘:2,‘a‘:1,‘c‘:0}): c</pre>
<p></p>
<p>34.&nbsp;min()函数返回给定参数的最小值，参数可以为序列。</p>
<p></p>
<pre>print("min(10,20,30):" , min(10,20,30) )
# min(10,20,30): 10

print("min(10,-2,3.4):" , min(10,-2,3.4) )
# min(10,-2,3.4): -2

print("min({‘b‘:2,‘a‘:1,‘c‘:0}):" , min({‘b‘:2,‘a‘:1,‘c‘:0}) )   # 字典，默认按key排序
# min({‘b‘:2,‘a‘:1,‘c‘:0}): a</pre>
<p></p>
<p>35.&nbsp;next() 返回迭代器的下一个项目。</p>
<p></p>
<pre> 1 # 首先获得Iterator对象:
 2 it = iter([1,2,3,4,5])
 3
 4 # 循环:
 5 while True:
 6     try:
 7         # 获得下一个值:
 8         x = next(it)
 9         print(x)
10     except StopIteration:
11         break
12     # 遇到StopIteration就退出循环</pre>
<p></p>
<p>36. oct() 函数将一个整数转换成八进制字符串。</p>
<pre>print( oct(10) )          # 0o12
print( oct(255) )         # 0o377
print( oct(-6655) )       # -0o14777</pre>
<p>37.&nbsp;open() 函数用于打开一个文件，创建一个 file 对象，相关的方法才可以调用它进行读写。</p>
<pre>f = open("test1.txt","w",encoding="utf-8")    # 创建一个file
print(f.write("abc"))

f = open("test1.txt","r",encoding="utf-8")    # 读取文件数据
print(f.read())</pre>
<p>38.&nbsp;ord()函数是chr()的配对函数，它以一个字符（长度为1的字符串）作为参数，返回对应的ASCII数值，或者Unicode数值，如果所给的 Unicode 字符超出了定义范围，则会引发一个 TypeError 的异常。</p>
<pre># 把字符 b（长度为1的字符串）作为参数在ascii码中对应的字符打印出来

print( ord(‘b‘) )    # 返回：98
print( ord(‘%‘) )    # 返回：37</pre>
<p>39.&nbsp;pow()函数返回x的y次方的值。</p>
<p>注意：pow()通过内置的方法直接调用，内置方法会把参数作为整型，而 math 模块则会把参数转换为 float。</p>
<p></p>
<pre># 通过内置的方法直接调用

print( pow(2,2) )          #  2的二次方
# 4
print( pow(2,-2) )         #  2的负二次方
# 0.5</pre>
<p></p>
<p></p>
<pre>1 # 导入math模块
2
3 import math
4
5 print(math.pow(3,2))   # 3的负二次方
6 # 9.0</pre>
<p></p>
<p>40.&nbsp;print()用于打印输出，最常见的一个函数。print 在Python3.x是一个函数，但在Python2.x版本只是一个关键字。</p>
<pre>print( abs(-45) )           # 45
print("Hello World!")       # Hello World!
print([1,2,3])              # [1, 2, 3]</pre>
<p>41.&nbsp;range() 函数可创建一个整数列表，一般用在 for 循环中。语法：range(start, stop[, step])</p>
<p></p>
<pre>for i in range(10):
    print(i)            # 依次打印数字0-9

for a in range(0,10,2):     # 步长为2
    print(a)            # 打印0,2,4,6,8

for b in range(10, 0, -2):  # 步长为-2
    print(b)            # 打印10,8,6,4,2</pre>
<p></p>
<p>42.&nbsp;reduce() 函数会对参数序列中元素进行累积。在Python3 ，reduce()被放置在functools模块里，如果想要使用它，需要先引入functools模块。</p>
<p></p>
<pre>import functools

a = functools.reduce(lambda x,y:x+y,[1,2,3])
print(a)           # 6 ， 即从1加到3

b = functools.reduce(lambda x,y:x+y,range(10))
print(b)           # 45 ， 即从0加到9</pre>
<p></p>
<p>43.&nbsp;repr() 函数将对象转化为供解释器读取的形式。返回一个对象的 string 格式。</p>
<p></p>
<pre>r = repr((1,2,3))
print( r )              # (1, 2, 3)
print( type(r) )        #  &lt;class ‘str‘&gt;

dict = repr({‘a‘:1,‘b‘:2,‘c‘:3})
print( dict )    # {‘c‘: 3, ‘a‘: 1, ‘b‘: 2}
print( type(dict) )    # &lt;class ‘str‘&gt;</pre>
<p></p>
<p>44.&nbsp;reversed() 函数返回一个反转的迭代器。&nbsp;reversed(seq)要转换的序列，可以是 tuple, string, list 或 range。</p>
<p></p>
<pre>rev = reversed( [1,2,3,4,5] )       # 列表
print(list(rev))
# [5, 4, 3, 2, 1]

rev1 = reversed( "school" )         # 元组
print(tuple(rev1))
# (‘l‘, ‘o‘, ‘o‘, ‘h‘, ‘c‘, ‘s‘)

rev2 = reversed(range(10))          # range
print(list(rev2))
# [9, 8, 7, 6, 5, 4, 3, 2, 1, 0]</pre>
<p></p>
<p>45.&nbsp;round() 方法返回浮点数x的四舍五入值。（除非对精确度没什么要求，否则尽量避开用round()函数）</p>
<p></p>
<pre>print( round(4.3))         # 只有一个参数时，默认保留到整数
# 4

print( round(2.678,2))     #  保留2位小数
#  2.68

print( round(5/3,3))     #  运算表达式并保留3位小数
#  1.667</pre>
<p></p>
<p>46.&nbsp;set() 函数创建一个无序不重复元素集，可进行关系测试，删除重复数据，还可以计算交集、差集、并集等。</p>
<pre>1 a = set(‘school‘)
2 print(a)            # 重复的被删除，得到结果：{‘o‘, ‘c‘, ‘s‘, ‘l‘, ‘h‘}</pre>
<p></p>
<pre>1 b = set([1,2,3,4,5])
2 c = set([2,4,6,8,10])
3
4 print(b &amp; c)     # 交集，得到结果为{2, 4}
5 print(b | c)     # 并集，得到结果为{1, 2, 3, 4, 5, 6, 8, 10}
6 print(b - c)     # 差集，得到结果为{1, 3, 5}</pre>
<p></p>
<p>47.&nbsp;slice() 函数实现切片对象，主要用在切片操作函数里的参数传递。</p>
<pre>a = slice("school")
print(a)            # slice(None, ‘school‘, None)</pre>
<p>48.&nbsp;sorted() 函数对所有可迭代的对象进行排序（默认升序）操作。</p>
<p></p>
<pre># 对列表进行排序
print(sorted([1,2,5,30,4,22]))    # [1, 2, 4, 5, 22, 30]

# 对字典进行排序
dict = {23:42,1:0,98:46,47:-28}
print( sorted(dict) )                     # 只对key排序
# [1, 23, 47, 98]

print( sorted(dict.items()) )             # 默认按key进行排序
# [(1, 0), (23, 42), (47, -28), (98, 46)]

print( sorted(dict.items(),key=lambda x:x[1]) )      # 用匿名函数实现按value进行排序
# [(47, -28), (1, 0), (23, 42), (98, 46)]</pre>
<p></p>
<p></p>
<pre># 利用key进行倒序排序
test1 = [1,2,5,30,4,22]
r_list = sorted(test1,key=lambda x:x*-1)
print(r_list)                     # [30, 22, 5, 4, 2, 1]

# 要进行反向排序，也可以通过传入第三个参数 reverse=True：
test2 = [1,2,5,30,4,22]
print(sorted(test2,reverse=True))    # [30, 22, 5, 4, 2, 1]</pre>
<p></p>
<p>49.&nbsp;str() 函数将对象转化为string格式。</p>
<pre>1 a =  str((1,2,3))
2 print(a)            # 打印a，得到结果(1, 2, 3)
3 print(type(a))      # 打印a的类型，得到结果 &lt;class ‘str‘&gt;</pre>
<p>50.&nbsp;sum()函数对参数进行求和计算。</p>
<pre>print( sum([1,2,3]) )        #  6
print( sum([1,2,3],4) )      #  列表计算总和后再加4，得到结果10
print( sum( (1,2,3),4 ) )    #  元组计算总和后再加4，得到结果10</pre>
<p>51.&nbsp; tuple()函数将列表转换为元组。</p>
<p># 注：元组与列表是非常类似的，区别在于元组的元素值不能修改，元组是放在括号中，列表是放于方括号中。</p>
<pre>print( tuple([1, 2, 3]))     # (1,2,3)</pre>
<p>52.&nbsp;type() 函数如果你只有第一个参数则返回对象的类型，三个参数返回新的类型对象。</p>
<pre>print(type(1))                   # &lt;class ‘int‘&gt;
print(type("123"))               # &lt;class ‘str‘&gt;
print(type([123,456]))           # &lt;class ‘list‘&gt;
print(type( (123,456) ) )        # &lt;class ‘tuple‘&gt;
print(type({‘a‘:1,‘b‘:2}) )      # &lt;class ‘dict‘&gt;</pre>
<p>53.&nbsp;zip() 函数用于将可迭代的对象作为参数，将对象中对应的元素打包成一个个元组，然后返回由这些元组组成的对象，这样做的好处是节约了不少的内存。可以使用 list() 转换来输出列表。如果各个迭代器的元素个数不一致，则返回列表长度与最短的对象相同。利用 * 号操作符，可以将元组解压为列表。</p>
<p></p>
<pre> 1 a = [1,2,3]
 2 b = [4,5,6]
 3 c = [7,8,9,10]
 4
 5 for i in zip(a,b):
 6     print(i)
 7
 8 # 返回结果：
 9 # (1, 4)
10 # (2, 5)
11 # (3, 6)
12
13 print(list(zip(a,b)))       # list() 转换为列表
14 # [(1, 4), (2, 5), (3, 6)]
15
16 print(list(zip(b,c)))       # 元素个数与最短的列表一致
17 # [(4, 7), (5, 8), (6, 9)]
18
19 a1,a2 = zip(*zip(a,b))      #  用zip(*)解压
20 print(list(a1))         # [1, 2, 3]
21 print(list(a2))         # [4, 5, 6]</pre>
<p></p>
<p>54.&nbsp;__import__() 函数用于动态加载类和函数。如果一个模块经常变化就可以使用 __import__() 来动态载入。</p>
<pre>__import__(‘decorator‘)

# 返回结果如下：
# in the bar
# the func run time is 3.000171661376953</pre>

<pre># 首先获得Iterator对象:it = iter([1,2,3,4,5])# 循环:while True:    try:        # 获得下一个值:x = next(it)        print(x)    except StopIteration:        break# 遇到StopIteration就退出循环</pre>

<p>原文地址：https://www.cnblogs.com/tangbohu2008/p/12706160.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 18:19:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/cal/" title="cal">cal</a>, <a href="https://www.biecuoliao.com/tag/obj/" title="obj">obj</a>, <a href="https://www.biecuoliao.com/tag/exce/" title="exce">exce</a>, <a href="https://www.biecuoliao.com/tag/ever/" title="ever">ever</a>, <a href="https://www.biecuoliao.com/tag/%e5%8c%ba%e5%88%ab/" title="区别">区别</a>, <a href="https://www.biecuoliao.com/tag/%e5%85%a8%e5%b1%80/" title="全局">全局</a>, <a href="https://www.biecuoliao.com/tag/%e8%a1%a8%e6%95%b0%e6%8d%ae/" title="表数据">表数据</a>, <a href="https://www.biecuoliao.com/tag/%e4%be%9d%e6%ac%a1/" title="依次">依次</a>, <a href="https://www.biecuoliao.com/tag/sorted/" title="sorted">sorted</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Python基础 ---（5）Python常用的内置函数的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/417a7g0.html" rel="bookmark">python基础学习4-函数、内置函数、os模块、time模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1       函数 1.1     字符串格式化方法 Python中字符串格式化输出的几种方法: https://www.cnblogs.com/hongzejun/p/7670923.html 字符串格式化另外一种方式format方式 #字符串format()方法 #第一种 import datetime msg = '欢迎光临{name},今天的日期是{today}' msg = msg.format(name = 'zhangsan',today = datetime.datetim			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyjG7m0.html" rel="bookmark">python基础7之python3的内置函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				官方介绍: python3:https://docs.python.org/3/library/functions.html?highlight=built#ascii python2:https://docs.python.org/2/library/functions.html?highlight=built#ascii 下面介绍python3中具体每个内置函数的使用方法及含义: abs()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38yKqR4.html" rel="bookmark">Python基础【day04】：内置函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.内置函数表格 1.表格 二.内置函数详情 1.abs(x) 功能:取数的绝对值 1 2 &gt;&gt;&gt; abs(-1)  #取-1的绝对值 1 2.all(iterable) 功能:如果这个可迭代的元素都为真,则返回真(非0的就为真,负数也是为真) 1 2 3 4 &gt;&gt;&gt; all([0,1,3])   #有0,说明为假 False &gt;&gt;&gt; all([1,-5,6])  #负数也是为真 True 3.any(iterable) 功能:可迭代的元素中,有一个为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nKZr73.html" rel="bookmark">Python 基础第十四天&lpar;内置函数和匿名函数&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天主要内容 1.生成器补充--生成器推导式 2.内置函数 3.匿名函数 1.生成器推导式 (1)列表推导式:一行搞定 ,简单,感觉高端.但是,不易排错. 例: l1 = [] for i in range(1,12):  l1.append('python%s期' % i) print(l1) 生成式: l2 = ['python%s期' %i  i  for i in range(1,12)] print(l2) 结构: 循环模式[经过加工的i for i in 可迭代对象] 筛选模式 [经			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVqaXx4.html" rel="bookmark">Python基础（10）&lowbar;内置函数、匿名函数、递归</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.内置函数 1.数学运算类 abs:求数值的绝对值 divmod:返回两个数值的商和余数,可用于计算页面数 &gt;&gt;&gt; divmod(5,2) (2, 1) max:返回可迭代对象中的元素中的最大值或者所有参数的最大值 语法:max(iterable,key,default) 1 salaries={ 2 'egon':3000, 3 'alex':100000000, 4 'wupeiqi':10000, 5 'yuanhao':2000 6 } 7 8 print(max(salari			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz8wKA3.html" rel="bookmark">Python基础学习笔记（七）常用元组内置函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考资料: 1. &lt;Python基础教程&gt; 2. http://www.runoob.com/python/python-tuples.html 3. http://www.liaoxuefeng.com/wiki/001374738125095c955c1e6d8bb493182103fac9270762a000 Python常用元组内置函数: 序号 方法及描述 1 cmp(tuple1, tuple2)比较两个元组元素. 2 len(tuple)计算元组元素个数. 3 max(tuple)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLwqDy4.html" rel="bookmark">Python：常用的内置函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内置方法  说明  __init__(self,...)  初始化对象,在创建新对象时调用  __del__(self)  释放对象,在对象被删除之前调用  __new__(cls,*args,**kwd)  实例的生成操作  __str__(self)  在使用print语句时被调用  __getitem__(self,key)  获取序列的索引key对应的值,等价于seq[key]  __len__(self)  在调用内联函数len()时被调用  __cmp__(stc,dst)  比较两			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/476eBo3.html" rel="bookmark">Python这7个好用内置函数！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章我们来看几个很有用的 Python 内置函数 ,我认为每个学习 Python的 都应该知道这些函数. 对于每个函数,我会使用一个普通的实现来和内置函数做对比. 如果我直接引用了内置函数的文档,请理解,因为这些函数文档写的非常棒! all(iterable) 如果可迭代的对象(数组,字符串,列表等,下同)中的元素都是 true (或者为空)的话返回 True . _all = True for item in iterable: if not item: _all = False brea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/ME2AkQ0.html" rel="bookmark">python26   封装    多态  常用的内置函数   &grave;&lowbar;&lowbar;str&lowbar;&lowbar;&grave;   &grave;&lowbar;&lowbar;del&lowbar;&lowbar;&grave; 反射 动态导入模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今日内容: 1. 封装 2.多态 3. 常用的内置函数 `__str__ `__del__` 4.反射 5.动态导入模块 #1. 封装 ##1.1 什么是封装 ?(what) 对外部隐藏内部的属性,以及实现细节  , 给外部提供使用的接口 注意:封装有隐藏的意思,但不是单纯的隐藏 1.2学习封装的目的. 就是为了能够限制外界对内部数据的访问 1.3python中属性的权限分为两种 1.公开的 ?           没有任何限制 谁都能访问 2.私有的 ?          只有当前类本身能够访			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lGd8PM.html" rel="bookmark">&lbrack;转&rsqb;几个常用的内置函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Awake --&gt; Start --&gt; Update --&gt; FixedUpdate --&gt; LateUpdate  --&gt;OnGUI --&gt;Reset --&gt; OnDisable --&gt;OnDestroy 下面我们针对每一个方法进行详细的说明: 1.Awake:用于在游戏开始之前初始化变量或游戏状态.在脚本整个生命周期内它仅被调用一次.Awake在所有对象被初始化之后调用,所以你可以安全的与其他对象对话或用诸如GameObject.FindWithTag(			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3Zz836.html" rel="bookmark" class="title">Scala Study --- override</a>
					<div>
						以前没使用过Scala, 其实我Java也是半截水平\无奈, 学Java的时候刚从C++中挣脱出来,发现Java无比优雅,但很快又对Java种种不信任程序员的设计感到受限. 直到, , 今天遇到了Sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n0lyeb3.html" rel="bookmark" class="title">《锋利的jQuery》心得笔记--Two Sections</a>
					<div>
						第三章 1.    DOM操作(节点) 1)         查找节点可以查找元素节点和属性节点 2)         创建节点: (1)       创建元素节点 var addLi = $(“&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JDzZP0.html" rel="bookmark" class="title">07 Photoshop</a>
					<div>
						Photoshop CS6中文绿色版 链接:http://pan.baidu.com/s/1gdXz9NP 密码:gmuj Adobe photoshop CS4:链接:http://pan.baid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8xmj0.html" rel="bookmark" class="title">hdu1078 dp&lpar;递推&rpar;&plus;搜索</a>
					<div>
						题目链接:http://acm.split.hdu.edu.cn/showproblem.php?pid=1078 题意:老鼠从(1.1)点出发,每次最多只能走K步,而且下一步走的位置的值必须必当前值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kD6xL3.html" rel="bookmark" class="title">淘宝地址快速提取插件 for 琴朗淘宝助手</a>
					<div>
						琴朗淘宝助手是一款专为 淘宝卖家 设计的进销存助手软件 ,以人为本,界面简洁大方,极具实用性. 功能完善,不仅是一个活帐本,理财助手, 更是团队协作的完美平台. http://www.onlinedo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qQPoP3.html" rel="bookmark" class="title">BZOJ1300 &lbrack;LLH邀请赛&rsqb;大数计算器</a>
					<div>
						一开始以为暴力搞,后来看了数据范围还以为要FFT,各种被虐,然后Orz Seter大神!!! 我只想到了前三位:a * b &lt;=&gt; 10^(log(a) + log(b)),于是把乘的数都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME8EvZ4.html" rel="bookmark" class="title">textLabel辅助试图及toolBar创建使用</a>
					<div>
						1 - (void)viewDidLoad 2 { 3 [super viewDidLoad]; 4 // 5 // self.inputTextField.inputView = [[UISwitc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d9Ppw3.html" rel="bookmark" class="title">java23中设计模式之备忘录模式</a>
					<div>
						package com.bdqn.memento; /** * 源发器类 * @author OU * */ public class Emp { private String ename; priv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDvO9Y3.html" rel="bookmark" class="title">ImageMagick还是GraphicsMagick&quest;</a>
					<div>
						引自:http://co63oc.blog.51cto.com/904636/328997 ImageMagick(IM) 套装包含的命令行图形工具是一主要自由软件:Linux,其他类Unix操作系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AZoEdM.html" rel="bookmark" class="title">揭秘chromium内部目录结构</a>
					<div>
						上两篇介绍了下载源码和编译源码,这次主要介绍chromium的源码目录结构,我也是通过源码和官网结合来跟大家说,如果有说的不准确的,欢迎交流. 另外,官网的不一定准确,他们其实也很懒,所以最主要还是靠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxpGW0.html" rel="bookmark" class="title">比大小续</a>
					<div>
						&gt;&gt;&gt; dox()第1轮:压500,压triple:100,赢1:400 赢2:1800,lost:-600lost: -600第2轮:压1000,压triple:200,赢1:20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDy1Wk0.html" rel="bookmark" class="title">通过 httpclientget 方法 向服务器中请求数据</a>
					<div>
						/*   * 通过 httpclientget 方法 向服务器中请求数据   */ public String getweb(String username, String userpass, Str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MD8kkwM.html" rel="bookmark" class="title">程序员生存定律阅读</a>
					<div>
						自身价值,自身价值上的表达能力,身处公司的特质和未来 努力与规律契合,在关键时刻做出选择,唯是如此人生整体表现出来的效能才会最高. 未来处于未知之中,每一次选择就是一次对人生未知部分的解码,选择之后的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBggg3.html" rel="bookmark" class="title">Cocos2d-x基础篇C&plus;&plus;</a>
					<div>
						1.C++类和对象 类的公有成员可以使用成员访问运算符(.)访问. (::)是范围解析运算符.调用成员函数是在对象上使用(.)运算符. 2.C++继承(C++中父类称为基类,子类称为派生类) clas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJAX63.html" rel="bookmark" class="title">android edittext 限制输入框小数位数</a>
					<div>
						先看下XML布局文件 &lt;EditText android:id=&quot;@+id/et&quot; android:layout_width=&quot;match_parent&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPelxP0.html" rel="bookmark" class="title">Angular随笔第二课</a>
					<div>
						一.  列表表格以及其它迭代型元素 ng-repeat 可能是最有用的angular指令了,它可以根据集合中的项目一次创建一组元素的多份拷贝.不管在什么地方,只要你想创建一组事物的列表,你就可以使用这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MynvVn0.html" rel="bookmark" class="title">filter 滤镜</a>
					<div>
						今天在做一个项目时,接触到了这个属性.再一次见识到了CSS的强大. 先来看看兼容性 很遗憾IE全军覆没了,但是其他浏览器还是可以的.接下来我们来看看他有哪些厉害之处. blur(),blur功能函数就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qDQ8W0.html" rel="bookmark" class="title">企业局域网无线认证解决方案</a>
					<div>
						现在很多企业局域网都是全无线覆盖,给员工和客户的网络接入提供了很大的便利.无论在公司或者厂区的任何位置,都可以很方便的接入到公司局域网和互联网.但是这样也带来了不可避免的安全性问题:一旦有未经授权的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzDkdy3.html" rel="bookmark" class="title">Jmeter-线程组</a>
					<div>
						1.Sampler 取样器(Sampler)是性能测试中向服务器发送请求,记录响应信息,记录响应时间的最小单元,JMeter 原生支持多种不同的sampler , 如 HTTP Request Sam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWlX6l0.html" rel="bookmark" class="title">C-字符数组的存储&comma; 字符指针&comma; &amp;&num;160&semi;fputs&comma; fgets</a>
					<div>
						上课笔记: 字符串在C语言中的存储(数组和指针) 1. 使用字符数组来存储 1 char name[5] = {‘j’,’a’,’c’,’k’}; 2 char name[] = {‘j’,’a’,’ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
